Exiv2 - Bug #645

Conversion from XMP sidecar leaks XMP-SDK exception. (digiKam bug 204042)
17 Aug 2009 22:45 - Andreas Huggel

Status: Closed Start date: 17 Aug 2009
Priority: Normal Due date:

Assignee: % Done: 100%
Category: xmp Estimated time: 0.00 hour
Target version: 0.19

Description

The conversion from XMP (typically when reading an XMP sidecar file) with invalid (non ISO 8601) timestamps leaks an XMP-SDK
exception. The XMP-SDK function SXMPULtils::ConvertToDate throws an XMP_Error if the conversion fails. (Check other XMP-SDK
functions as well.)

The Exiv2 library must catch such exceptions and should do something useful anyway, or, if not possible, at least translate them to
Exiv2 exceptions.

Reported by Frangois Tissandier as digikam bug 204042

Associated revisions

Revision 1899 - 16 Sep 2009 04:19 - Andreas Huggel
#645: Catch XMP-SDK exception from date conversion. (Vladimir Nadvornik)

Revision 1900 - 16 Sep 2009 04:27 - Andreas Huggel

#645: Added check for empty GPS coordinate value to prevent out-of-range exception.

History

#1 - 15 Sep 2009 13:14 - Viadimir Nadvornik
- File exiv2-parse-date.patch added

The attached patch should fix it.

#2 - 15 Sep 2009 13:39 - Vladimir Nadvornik
- File exiv2-parse-date2.patch added

And this is the correct version of the patch ;)

#3 - 16 Sep 2009 04:31 - Andreas Huggel
- Status changed from New to Resolved
- Target version set to 0.19

- % Done changed from 0 to 100

Thanks Vladimir.

With the additional check in r1900 the sample XMP from the original digiKam bug now works.

#4 - 30 Dec 2009 07:50 - Andreas Huggel

- Status changed from Resolved to Closed

Files
exiv2-parse-date.patch 670 Bytes 15 Sep 2009 Vladimir Nadvornik
exiv2-parse-date2.patch 691 Bytes 15 Sep 2009 Vladimir Nadvornik
